Subject: Re: [PATCH v7 5/5] rebase: support --trailer

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2026 13:18:39 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

>> I wonder if it would be better to add the trailers before the signoff so
>> that "git rebase --signoff --trailer='Reviewed-by: ...'" adds the
>> "Reviewed-by:" trailer before the "Signed-off-by:" trailer.
>
> Why is that? Is that because that is the practice in this project (and
> maybe others)?

I do not think it is a good idea for the above sample command, where
we can argue that the intent of the user is to have sign-off and
then reviewed-by, expressed in the order of options given.

If we want to control where the new trailers are added, perhaps we
would need to match the --where option interpret-trailers has and
let the configuration honored by that command take care of the
ordering.